%if 0%{?el7}
%define dist .el7
%endif

Summary:	GNU CSSC - An SCCS clone
Name:		CSSC
Version:	1.4.1
Release:	1%{?dist}
URL:		http://www.gnu.org/software/cssc/
License:	GPL (one program is BSD, see COPYING.bsd)
Packager:	momo-i <webmaster@momo-i.org>
Vendor:		momo-i, http://www.momo-i.org/
Group:		Development/Version Control
Source:		http://ftp.gnu.org/gnu/cssc/%{name}-%{version}.tar.gz
Patch0:		CSSC-1.3.0-gcc472.patch
BuildRequires:  gcc gcc-c++
Requires(pre):	info
Requires:		diffutils
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

%description
CSSC is a clone for the traditional Unix version control suite SCCS.
It aims for near-total compatibility with SCCS.  CSSC stands for
"Compatibly Stupid Source Control".  

%prep
%setup -q

%build
%configure --enable-binary
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
cd $RPM_BUILD_ROOT/usr/bin 
ln -s ../libexec/cssc/* .
gzip $RPM_BUILD_ROOT/%{_infodir}/cssc* || true
rm -f $RPM_BUILD_ROOT/%{_infodir}/dir

%check
#make check

%post
/sbin/install-info %{_infodir}/cssc.info.gz %{_infodir}/dir --entry="* cssc: (cssc)."

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/cssc.info.gz %{_infodir}/dir --entry="* cssc: (cssc)."
fi

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README AUTHORS ChangeLog INSTALL NEWS 
%doc docs/BUGS docs/Platforms 
%doc docs/TESTING docs/TODO
%doc docs/patches.txt docs/mailing-list.txt
%doc docs/style.txt
%{!?_licensedir:%global license %%doc}
%license COPYING
%dir %{_libexecdir}/cssc
%{_libexecdir}/cssc/*
%{_bindir}/sccs
%{_bindir}/admin
%{_bindir}/cdc
%{_bindir}/delta
%{_bindir}/get
%{_bindir}/prs
%{_bindir}/prt
%{_bindir}/rmdel
%{_bindir}/sact
%{_bindir}/sccsdiff
%{_bindir}/unget
%{_bindir}/val
%{_bindir}/what
%{_mandir}/man*/*
%{_infodir}/*.info*

%changelog
* Sun Dec 29 2019 momo-i <webmaster@momo-i.org> - 1.4.1-1
- Update to 1.4.1

* Thu Sep 03 2015 momo-i <webmaster@momo-i.org> - 1.4.0-5
- Update dist for centos7

* Mon Aug 10 2015 momo-i <webmaster@momo-i.org> - 1.4.0-4
- Rebuilt for fc23

* Tue Nov 11 2014 momo-i <webmaster@momo-i.org> - 1.4.0-3
- Changed license dir

* Thu Oct  2 2014 momo-i <webmaster@momo-i.org> - 1.4.0-2
- Update to 1.4.0

* Thu Jul 26 2012 momo-i <webmaster@momo-i.org> 1.3.0-2
- Update URLs

* Thu May  6 2010 James Youngman <jay@gnu.org>
Do not distribute docs/FIXED, it no longer exists.

* Sat Jan  3 2009 Alain Williams <addw@phcomp.co.uk>
Changed "Copyright" tag to "License".
Do not make the /usr/sccs symbolic link.
Add various binaries to %files.

* Mon Dec 17 2007 James Youngman <jay@gnu.org>
Updated URLs to reflect the fact that we migrated from
SourceForge to Savannah.

* Fri Oct  4 2002 James Youngman <jay@gnu.org>
Change reference to sccs.1 to sccs.1* because RPM version 4
compresses all the manual pages.

* Sat Jul 14 2001 James Youngman <jay@gnu.org>
Pass the --enable-binary flag to enable binary file support.
This was previously the default, but it is now mandatory to 
supply the option (or --disable-binary).

* Tue Jul 18 2000 James Youngman <jay@gnu.org>
Updated URL.

* Mon Jun 15 1998 Aron Griffis <agriffis@coat.com>
Added symbolic links in /usr/bin to call programs directly

* Wed Jun 10 1998 jay@gnu.org <James Youngman>
Added sccs.1 to the list of files.

* Sat May 23 1998 interran@crd.GE.COM <John Interrante>
Don't use --infodir since that breaks the BuildRoot.  "--infodir" is
set by setting "--prefix" anyway.

* Fri May  8 1998 interran@crd.GE.COM <John Interrante>
Use a build-root.   Also use install-info.  Use install-strip 
rather than just "strip *".

* Sat Feb 21 1998 jay@gnu.org <James Youngman>
Strip the installed binaries.

* Thu Feb 12 1998 jay@gnu.org <James Youngman>
Added sccsdiff to the file list.

* Sat Jan 17 1998 jay@gnu.org <James Youngman>

First RPMed version (0.05alpha-pl0)
